Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicIconFactory

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicIconFactory

All Implemented Interfaces:
  Serializable

public class BasicIconFactory
extends Object
implements Serializable

Factory object that can vend Icons appropriate for the basic L & F.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Constructor Summary
`BasicIconFactory()`

Method Summary
`static Icon` | `createEmptyFrameIcon()`
`static Icon` | `getCheckBoxIcon()`
`static Icon` | `getCheckBoxMenuItemIcon()`
`static Icon` | `getMenuArrowIcon()`
`static Icon` | `getMenuItemArrowIcon()`
`static Icon` | `getMenuItemCheckIcon()`
`static Icon` | `getRadioButtonIcon()`
`static Icon` | `getRadioButtonMenuItemIcon()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicIconFactory

    public BasicIconFactory()

Method Detail

### getMenuItemCheckIcon

    public static Icon getMenuItemCheckIcon()

### getMenuItemArrowIcon

    public static Icon getMenuItemArrowIcon()

### getMenuArrowIcon

    public static Icon getMenuArrowIcon()

### getCheckBoxIcon

    public static Icon getCheckBoxIcon()

### getRadioButtonIcon

    public static Icon getRadioButtonIcon()

### getCheckBoxMenuItemIcon

    public static Icon getCheckBoxMenuItemIcon()

### getRadioButtonMenuItemIcon

    public static Icon getRadioButtonMenuItemIcon()

### createEmptyFrameIcon

    public static Icon createEmptyFrameIcon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.